Subject: bug#6954: bug#8615: bug#6954: bug#8615: Please make sure v q removes the buffer for JPGs just like it does for other files

From: Christoph Scholtes <[email-masked]>
Date: Fri, 15 Jul 2011 17:35:50 -0600

On 7/15/2011 5:22 PM, [email-masked] wrote:
> All I am asking is for the same actions for the same keys.
> I'm willing to learn the new keys, as long as they are consistent.
> Currently q and z act differently, depending on if one is viewing a
> image vs. non image.
>
> Even though both I got to via a "v" in dired.

Most other files (all?) are opened in view-mode, which binds `q' and `z' 
differently. I think view-mode and special-mode need to agree on how to 
map certain keys, e.g. `q', i.e. common operations like quit or 
kill-buffer. Either by deriving view-mode from special-mode or matching 
the maps.